1

After downloading a fresh copy of the latest Ganache and double click to run it, the following error is shown:

archive type not supported

Versions Ubuntu: 16 and 17

All Ganache versions: for example 1.2.3 and 2.0.0

1

This is not related to Ganache. It is related to Linux Ubuntu. The file mode has to be changed to be executable as follow:

$ cd ~/Downloads
$ chmod a+x ganache-1.1.0-x86_64.AppImage
$ ./ganache-1.1.0-x86_64.AppImage

reference: https://github.com/cogeorg/teaching/wiki/Installing-Ganache


This could be also done by Right Click then press Properties then at Permissions tab, enable the option Allow executing file as program:

Allow executing file as program

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.